<hr />
<div align="center">
    <img src="images/logo.svg" alt="Logo" width='300px' height='auto'/>
</div>
<hr />

[![Build Status](https://travis-ci.org/nanocurrency/nano-node.svg?branch=master)](https://travis-ci.org/nanocurrency/nano-node)
[![Build status](https://ci.appveyor.com/api/projects/status/q66rbt2ux6apjj03/branch/master?svg=true)](https://ci.appveyor.com/project/argakiig/raiblocks/branch/master)
### What is Nano?

---

Nano's goal is to become _"a global currency with instantaneous transactions and zero fees over a secure, decentralized network."_

We've applied the philosophy of _"do one thing and do it well."_ We are focused on building the best medium for value exchange in the world.

---

### Key Features

* Nano utilizes a novel [block-lattice](https://github.com/nanocurrency/nano-node/wiki/Block-lattice) architecture, unlike conventional blockchains used in many other cryptocurrencies.
* The network requires minimal resources, no high-power mining hardware, and can process high transaction throughput.
* Offers instantaneous transactions with zero fees and unlimited scalability, making Nano an ideal solution for peer-to-peer transactions.
* As of August 2018, the Nano network has processed over twelve million blocks with an unpruned ledger size of only 4.6GB.

For more information, see [Nano.org](https://nano.org/) or read the [whitepaper](https://nano.org/en/whitepaper).

### Guides & Documentation

* [Whitepaper](https://nano.org/en/whitepaper)
* [Build Instructions](https://github.com/nanocurrency/nano-node/wiki/Build-Instructions)
* [Command Line Interface](https://github.com/nanocurrency/nano-node/wiki/Command-line-interface)
* [RPC Protocol](https://github.com/nanocurrency/nano-node/wiki/RPC-protocol)
* [Wallet Design](https://github.com/nanocurrency/nano-node/wiki/Wallet-design)
* [Block-Lattice](https://github.com/nanocurrency/nano-node/wiki/Block-lattice)
* [Design Features](https://github.com/nanocurrency/nano-node/wiki/Design-features)

### Links & Resources

* [Nano Website](https://nano.org)
* [Nano Roadmap](https://developers.nano.org/roadmap)
* [Discord Chat](https://chat.nano.org/)
* [Reddit](https://reddit.com/r/nanocurrency)
* [Medium](https://medium.com/nanocurrency)
* [Twitter](https://twitter.com/nano)
* [GitHub wiki](https://github.com/nanocurrency/nano-node/wiki)

### Want to Contribute?

Please see the [contributors guide](https://github.com/nanocurrency/nano-node/wiki/Contributing).

### Contact us

We want to hear about any trouble, success, delight, or pain you experience when
using Nano. Let us know by [filing an issue](https://github.com/nanocurrency/nano-node/issues), joining us on [reddit](https://reddit.com/r/nanocurrency), or joining us on [Discord](https://chat.nano.org/).
